---
- name: sway | Create config directories
  file:
    path: '{{ xdg_dir.config_home }}/{{ item }}'
    state: directory
    mode: '755'
  loop:
    - sway
    - swaylock
    - swaynag

- name: sway | Copy component config files
  template:
    src: '{{ item }}/config.j2'
    dest: '{{ xdg_dir.config_home }}/{{ item }}/config'
    mode: '644'
  loop:
    - swaylock
    - swaynag
    - sway
